import { createTheme } from '@mui/material/styles';

const lightTheme = createTheme({
  palette: {
    mode: 'light',
    primary: {
      main: '#2196f3', // Light Blue
    },
    secondary: {
      main: '#90caf9', // Lighter Blue
    },
    background: {
      default: '#f5f5f5', // Light Gray
      paper: '#ffffff', // White
    },
    text: {
      primary: '#000000', // Black
      secondary: '#555555', // Dark Gray
    },
  },
  typography: {
    fontFamily: `'Roboto', 'Arial', sans-serif`,
  },
});

const darkTheme = createTheme({
  palette: {
    mode: 'dark',
    primary: {
      main: '#2196f3', // Light Blue
    },
    secondary: {
      main: '#64b5f6', // Slightly Lighter Blue
    },
    background: {
      default: '#121212', // Black
      paper: '#1e1e1e', // Dark Gray
    },
    text: {
      primary: '#ffffff', // White
      secondary: '#bbbbbb', // Light Gray
    },
  },
  typography: {
    fontFamily: `'Roboto', 'Arial', sans-serif`,
  },
});

export { lightTheme, darkTheme };
